QGIS Application - Bug report #21282
[Expression] point_n function should be coherent with other vertex based functions and algorithms
2019-02-15 01:54 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:3.7(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29100
Description

I don't know if | should report it as a bug or a feature request...

The point_n function returns a specific node on a geometry, based on the provided index. The first vertex index is 1.

But when using Processing to extract vertices from a feature, the vertex_index is 0-based. Some other expression that manipulates
vertices (angle_at_vertex, distance_to_vertex) are also 0-based.

It could be nice to align the point_n function with the others.

Related issues:
Related to QGIS Application - Feature request # 21284: [Expression] Allow neg... Closed 2019-02-15

History

#1 - 2019-02-15 02:16 PM - Harrissou Santanna

- Related to Feature request #21284: [Expression] Allow negative value for vertex index in angle_at_vertex/distance_at_vertex/point_n... functions added

#2 - 2019-03-13 05:22 AM - Mathieu Pellerin - nIRV
- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 3.7(master)

- Tracker changed from Feature request to Bug report

IMHO, it's an inconsistency which should be considered as a bug. Fixing this will have to wait until we cross the QGIS 4.0 bridge.
